Subject: Re: bug#15908: http-{put,post}
From: Mark H Weaver <[email-masked]>
To: Anders Thøgersen <[email-masked]>
Cc: [email-masked]
Date: Sat, 16 Nov 2013 22:52:48 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Anders Thøgersen <[email-masked]> writes:
> But if I add a body:
>
>     (http-put "http://localhost:2000" #:body "Hello!")
>
> I get a GET request
>
>     $ nc -l -p 2000
>     GET / HTTP/1.1
>     Content-Length: 6
>     Content-Type: text/plain;charset=utf-8
>     Host: localhost:2000
>     Connection: close

This was reported in September and fixed on the stable-2.0 branch, so it
will be fixed in Guile 2.0.10.

http://git.savannah.gnu.org/gitweb/?p=guile.git;a=commit;h=9c85fd02218705033f18befafa04d9c8c6b76297

If you need a workaround for existing Guile releases, here's how:

http://lists.gnu.org/archive/html/guile-user/2013-09/msg00046.html

I'm closing this bug.  Please let us know if you have other problems.

    Thanks,
      Mark